Bug 1016604 - [ RFE ] - Make snapshots UI less confusing wrt running a snapshot
[ RFE ] - Make snapshots UI less confusing wrt running a snapshot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
20
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 07:52 EDT by Alexander Todorov
Modified: 2013-11-16 02:14 EST (History)
3 users (show)

See Also:
Fixed In Version: virt-manager-0.10.0-5.git1ffcc0cc.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-16 02:14:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2013-10-08 07:52:42 EDT
Description of problem:

I am following this test case:
http://fedoraproject.org/wiki/QA:Testcase_Virt_Snapshot_UI


which says:

Run snapshot 1, verify that the VM is now shutoff.
Run snapshot 3, verify that the expected application is running the VM. 


which got me confused as to how to do this. See this IRC log snippet:

(14,46,17) atodorov: crobinso: a question: in the snapshots test case it says: Run snapshot 2, verify ..., Run snapshot 1, ....
(14,46,43) atodorov: how do I run a snapshot ? do you mean to shut down all running snapshots and then start that one
(14,47,06) atodorov: I don't see a way to switch between the various snapshots otherwise
(14,48,06) crobinso: atodorov: select a snapshot, and either right click->run or hit the 'play' button at the bottom.
(14,48,17) atodorov: ok, got it
(14,51,15) crobinso: atodorov: the UI might not make it clear, but think of the snapshot as a 'screenshot' of your vm. when you take a snapshot, it just kinda sits there in a file and your VM moves on. but you can 'run' that old snapshot and it will revert your VM to the that old memory and disk state. so there isn't really a concept of a 'currently running' snapshot, or more than one 'running' snapshot, they are all just points in time
(14,52,12) atodorov: crobinso: I got confused by the State: Running and the active icons in the UI
(14,52,25) atodorov: I guess it can be improved a bit, will file a RFE
(14,53,04) crobinso: atodorov: ah that makes sense, please file a bug about that, I can reword things

Version-Release number of selected component (if applicable):
virt-manager-0.10.0-4.git79196cdf.fc20.noarch

How reproducible:
always

Steps to Reproduce:
1. Check the snapshots UI
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Cole Robinson 2013-11-09 18:01:03 EST
I changed the label from 'State' to 'VM State', hopefully that's sufficient
Comment 2 Fedora Update System 2013-11-10 12:10:23 EST
virt-manager-0.10.0-5.git1ffcc0cc.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/virt-manager-0.10.0-5.git1ffcc0cc.fc20
Comment 3 Fedora Update System 2013-11-11 19:31:49 EST
Package virt-manager-0.10.0-5.git1ffcc0cc.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-0.10.0-5.git1ffcc0cc.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21095/virt-manager-0.10.0-5.git1ffcc0cc.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-11-16 02:14:21 EST
virt-manager-0.10.0-5.git1ffcc0cc.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.